<!DOCTYPE html>
<html>
<head>
	<meta charset="UTF-8">
	<title>Ag&egrave;ncia de Salut P&uacute;blica de Barcelona</title>
	<script src="http://www.openlayers.org/api/OpenLayers.js"></script>
	<!-- <script type="text/javascript" src="OpenLayers-2.13.1/OpenLayers.js"></script> -->
	<script src="http://maps.google.com/maps/api/js?sensor=false"></script>
	<script type="text/javascript" src="CalendarPopup.js"></script>
	<script type="text/javascript" src="AnchorPosition.js"></script>
	<script type="text/javascript" src="date.js"></script>
	<script type="text/javascript" src="PopupWindow.js"></script>
	<script type="text/javascript" src="jquery-2.1.0.min.js"></script>
	
	<style type="text/css">
		#divMapa {
			width: 100%; height: 700px;
			border: solid 2px #808080;
		}
		#Controls {
			width: 100%;height: 700px;
			border: solid 2px #808080;
		}
		#carregafitxers {
			width: 100%;height: 55px;
			border: solid 2px #808080;
		}
	</style>
	
	<script type="text/javascript">
	
	var EPSG4326 = new OpenLayers.Projection("EPSG:4326");
	var EPSG900913 = new OpenLayers.Projection("EPSG:900913"); 
	OpenLayers.ProxyHost = "/cgi-bin/proxy.cgi?url=";
	var mapa;	
	var wfs;

	function repinta() {

		var newPanZoom = new OpenLayers.Control.PanZoomBar();
		var bounds = new OpenLayers.Bounds(
				230121.22403382114, 5059040.49384649,
				249201.32984285886, 5091430.197983368
		);
		OpenLayers.Util.extend(newPanZoom, {
			onButtonClick: function(evt) {
				var btn = evt.buttonElement;
				var cont = $("#zoom").val();
				switch (btn.action) {
					case "panup":
						this.map.pan(0, -this.getSlideFactor("h"));
						break;
					case "pandown":
						this.map.pan(0, this.getSlideFactor("h"));
						break;
					case "panleft":
						this.map.pan(-this.getSlideFactor("w"), 0);
						break;
					case "panright":
						this.map.pan(this.getSlideFactor("w"), 0);
						break;
					case "zoomin":
						this.map.zoomIn();
						$("#zoom").val(parseInt(cont) + 1);
						break;
					case "zoomout":
						$("#zoom").val(parseInt(cont) - 1);
						this.map.zoomOut();
						break;
				}
			}
		});       


		// Creem el mapa
            
		var options = {
				controls:[
					new OpenLayers.Control.Navigation(),
					new OpenLayers.Control.Permalink(),
					newPanZoom],
				restrictedExtent: bounds,				
				maxExtent: new OpenLayers.Bounds(-20037508.34,-20037508.34,20037508.34,20037508.34),
				units: 'dd',
				Projection: new OpenLayers.Projection("EPSG:900913"),
				displayProjection: new OpenLayers.Projection("EPSG:4326")
		};

		mapa = new OpenLayers.Map("divMapa",options);

		<?php
		
		$legionela = array("nom"=>"legionela","capaHeat"=>"heatLeg","capaWfs"=>"wfsLeg","layer"=>"opengeo:casoslegionela","filter"=>"filterLeg","featureType"=>"casoslegionela","property"=>"inici_simp");		
		$tuberculosi = array("nom"=>"tuberculosi","capaHeat"=>"heatTub","capaWfs"=>"wfsTub","layer"=>"opengeo:casostuberculosi","filter"=>"filterTub","featureType"=>"casostuberculosi","property"=>"dat_notif");
		$malaltia = "Cap";
		$zoom = "1";
		$centerlon = "2.17";
		$centerlat = "41.38";
						
		if(isset($_GET['malaltia']) && !empty($_GET['malaltia'])){			
			if($_GET['malaltia'] == "legionella" || $_GET['malaltia'] == "legionela") {
				$malaltia = $legionela;
			}
			if($_GET['malaltia'] == "tuberculosi") {
				$malaltia = $tuberculosi;
			}
		} else {
			$malaltia = "Escull";
		}
		
		if(isset($_POST['distancia']) && !empty($_POST['distancia'])){
			$distancia = $_POST['distancia'];
		} else {
			$distancia = 100;
		}	
		
		if(isset($_POST['zoom']) && !empty($_POST['zoom'])){
			$zoom = $_POST['zoom'];
		}
		
		if(isset($_POST['centerlon']) && !empty($_POST['centerlon'])){
			$centerlon = $_POST['centerlon'];
		}
		
		if(isset($_POST['centerlat']) && !empty($_POST['centerlat'])){
			$centerlat = $_POST['centerlat'];
		}
		
		if(isset($_POST['inici']) && !empty($_POST['inici'])){
			$inici = $_POST['inici'];
			$inici_query = $_POST['inici'];
			$inici_date = substr($inici_query,6,4).substr($inici_query,3,2).substr($inici_query,0,2);
		} else {
			$inici = "";
			$inici_query = "01/01/1900";
			$inici_date = "19000101";
		}
		
		if(isset($_POST['final']) && !empty($_POST['final'])){
			$final = $_POST['final'];
			$final_query = $_POST['final'];
			$final_date = substr($final_query,6,4).substr($final_query,3,2).substr($final_query,0,2);
		} else {
			$final = "";
			$final_query = "31/12/3000";
			$final_date = "30001231";
		}
		
		if(isset($_POST['barri']) && !empty($_POST['barri'])){
			$barri = $_POST['barri'];
			$barrilow = $_POST['barri'];
			$barriupp = $_POST['barri'];	
		} else {
			$barri = "";
			$barrilow = "0";
			$barriupp = "1000";
		}
		
		if(isset($_POST['districte']) && !empty($_POST['districte'])){
			$districte = $_POST['districte'];
			$districtelow = $_POST['districte'];
			$districteupp = $_POST['districte'];
		} else {
			$districte = "";
			$districtelow = "0";
			$districteupp = "1000";
		}		
		
		if(isset($_POST['sexe']) && !empty($_POST['sexe'])){			
			$sexe = $_POST['sexe'];
			$sexelow = $_POST['sexe'];
			$sexeupp = $_POST['sexe'];
		} else {
			$sexe = "";
			$sexelow = "0";
			$sexeupp = "1000";
		}	
		?>

		
		// Creem les capes base
		
		var openmaps = new OpenLayers.Layer.OSM("OpenStreet Map","",{isBaseLayer:true,zoomOffset:11,resolutions: [76.4370282714844,38.2185141357422,19.1092570678711,9.55462853393555,4.77731426696777,2.38865713348389,1.19432856674194]});
		mapa.addLayer(openmaps);

		mapa.addControl(new OpenLayers.Control.LayerSwitcher());

		var physical = new OpenLayers.Layer.Google(
			"Google Physical",
			{type: google.maps.MapTypeId.TERRAIN,minZoomLevel: 11, maxZoomLevel: 21}
		);

		var streets = new OpenLayers.Layer.Google(
			"Google Streets" ,{minZoomLevel: 11, maxZoomLevel: 21}
		);

		var hybrid = new OpenLayers.Layer.Google(
			"Google Hybrid",
			{type: google.maps.MapTypeId.HYBRID,minZoomLevel: 11, maxZoomLevel: 21}
		);

		var satellite = new OpenLayers.Layer.Google(
			"Google Satellite",
			{type: google.maps.MapTypeId.SATELLITE,minZoomLevel: 11, maxZoomLevel: 21}
		);

		mapa.addLayers([physical, streets, hybrid, satellite]);


		// Creem les capes superposades
		
		format = 'image/png';

		// Capes d'impacte
		
		heat = new OpenLayers.Layer.WMS(
			"Mapa d'impacte <?php echo $malaltia['nom'];?>", "http://localhost:8080/geoserver/opengeo/wms",
			{
				LAYERS: '<?php echo $malaltia['layer'];?>',
				STYLES: '',
				transparent: true,
				format: format,
			},
			{
				singleTile: true,
				displayOutsideMaxExtent: true,
				ratio: 1,
				isBaseLayer: false,
				visibility:false,
				yx: {'EPSG:900913' : false}
			}
		);
				
		// Filtres associats a les capes d'impacte
		
		// "filtreBarri"=>"barri","filtreDm"=>"dm","filtreInici"=>"inici_simp","filtreSexe"=>"sexe"		
		var filter = new OpenLayers.Filter.Logical(
			{
				type: OpenLayers.Filter.Logical.AND,
				filters: [
					new OpenLayers.Filter.Comparison(
						{
							type: OpenLayers.Filter.Comparison.BETWEEN,
							property: "barri",
							lowerBoundary: "<?php echo $barrilow;?>",
							upperBoundary: "<?php echo $barriupp;?>"
						}
					),
					new OpenLayers.Filter.Comparison(
						{
							type: OpenLayers.Filter.Comparison.BETWEEN,
							property: "dm",
							lowerBoundary: "<?php echo $districtelow;?>",
							upperBoundary: "<?php echo $districteupp;?>"
						}
					),
					new OpenLayers.Filter.Comparison(
						{
							type: OpenLayers.Filter.Comparison.BETWEEN,
							property: "sexe",
							lowerBoundary: "<?php echo $sexelow;?>",
							upperBoundary: "<?php echo $sexeupp;?>"
						}
					),
					new OpenLayers.Filter.Comparison(
						{
							type: OpenLayers.Filter.Comparison.BETWEEN,
							property: "<?php echo $malaltia['property'];?>",
							lowerBoundary: "<?php echo $inici_date;?>",
							upperBoundary: "<?php echo $final_date;?>"
						}
					)
				]
			}
		);
				
		var parser = new OpenLayers.Format.Filter.v1_1_0();
		var filterAsXml = parser.write(filter);
		var xml = new OpenLayers.Format.XML();
		var filterAsString = xml.write(filterAsXml);
		heat.params["FILTER"] = filterAsString;
		mapa.addLayer(heat);
			

		// WFS
		
		// Estils aplicats a la representaci dels casos
	    var myStyles = new OpenLayers.StyleMap(
			{
				"default": new OpenLayers.Style(
					{					
						pointRadius: 6,												
						fillColor: "#FF6262",
						fillOpacity: 0.7,
						strokeColor: "#993030",
						strokeWidth: 1,
						graphicZIndex: 1
					}
				)
			}
		);
		
	    // Capa de casos
	    
	    wfs = new OpenLayers.Layer.Vector(
			"Casos de <?php echo $malaltia['nom'];?>",
			{
				renderers: ["Canvas"],
				strategies: [new OpenLayers.Strategy.BBOX()],
				styleMap: myStyles,				
				visibility:true,				
				protocol: new OpenLayers.Protocol.WFS(
					{						
						url: "http://localhost:8080/geoserver/opengeo/wfs",
						featureType: "<?php echo $malaltia['featureType'];?>",
						featureNS: "http://localhost:8080/geoserver/opengeo", //"http://opengeo.org",
						geometryName: "geolocalitzacio",
						srsName: "EPSG:4326",
						version: "1.1.0"
					}
				),
				filter: new OpenLayers.Filter.Logical(
					{
						type: OpenLayers.Filter.Logical.AND,
						filters: [
							new OpenLayers.Filter.Comparison(
								{
									type: OpenLayers.Filter.Comparison.BETWEEN,
									property: "barri",
									lowerBoundary: "<?php echo $barrilow;?>",
									upperBoundary : "<?php echo $barriupp;?>"
								}
							),
							new OpenLayers.Filter.Comparison(
								{
									type: OpenLayers.Filter.Comparison.BETWEEN,
									property: "dm",
									lowerBoundary: "<?php echo $districtelow;?>",
									upperBoundary: "<?php echo $districteupp;?>"
								}
							),
							new OpenLayers.Filter.Comparison(
								{
									type: OpenLayers.Filter.Comparison.BETWEEN,
									property: "sexe",
									lowerBoundary: "<?php echo $sexelow;?>",
									upperBoundary: "<?php echo $sexeupp;?>"
								}
							),							
							new OpenLayers.Filter.Comparison(
								{
									type: OpenLayers.Filter.Comparison.BETWEEN,
									property: "<?php echo $malaltia['property'];?>",
									lowerBoundary : "<?php echo $inici_date;?>",
									upperBoundary : "<?php echo $final_date;?>"
								}
							)							
						]
					}
				)
			}
		);

		mapa.addLayer(wfs);		

		// Controls aplicats a la capa de representaci de casos
		
		selectControl = new OpenLayers.Control.SelectFeature(wfs,
			{
				onSelect: onFeatureInsert,
				onUnselect: onFeatureUnselect,
				displayClass: "olControlSelectFeature",
				title: "Info",
				box: true,
				clickout: false
			}
		);
		
		mapa.addControl(selectControl);		
		selectControl.activate();
		

		// Capes de dades externes i estadstiques
		
		// Capa de districtes
		
		dist = new OpenLayers.Layer.WMS(
				"Districtes", "http://localhost:8080/geoserver/opengeo/wms",
				{					
					LAYERS: 'dte',
					STYLES: '',
					transparent: true,
					format: format,
				},
				{
					singleTile: true,
					displayOutsideMaxExtent: true,
					ratio: 1,
					isBaseLayer: false,
					visibility: false					
				}
			);

		mapa.addLayer(dist);

		// Capa de barris
		
		barr = new OpenLayers.Layer.WMS(
				"Barris", "http://localhost:8080/geoserver/opengeo/wms",
				{					
					LAYERS: 'gbarris',
					STYLES: '',
					transparent: true,
					format: format,
				},
				{
					singleTile: true,
					displayOutsideMaxExtent: true,
					ratio: 1,
					isBaseLayer: false,
					visibility: false					
				}
			);

		mapa.addLayer(barr);
		
		// Capa de distribuci territorial de la renda familiar
		
		rf = new OpenLayers.Layer.WMS(
				"Renda Familiar 2010", "http://localhost:8080/geoserver/opengeo/wms",
				{					
					LAYERS: 'rfbarris',
					STYLES: '',
					transparent: true,
					format: format,
				},
				{
					singleTile: true,
					displayOutsideMaxExtent: true,
					ratio: 1,
					isBaseLayer: false,
					visibility: false					
				}
			);

		mapa.addLayer(rf);

		// Capa de poblaci
		
		pobl = new OpenLayers.Layer.WMS(
				"Poblaci&oacute; 2010", "http://localhost:8080/geoserver/opengeo/wms",
				{					
					LAYERS: 'pobbarris',
					STYLES: '',
					transparent: true,
					format: format,
				},
				{
					singleTile: true,
					displayOutsideMaxExtent: true,
					ratio: 1,
					isBaseLayer: false,
					visibility: false					
				}
			);

		mapa.addLayer(pobl);
		
		// Afegim la capa al mapa
		
		mapa.addControl(new OpenLayers.Control.Attribution());
		mapa.addControl(new OpenLayers.Control.KeyboardDefaults());
		mapa.setCenter(new OpenLayers.LonLat(<?php echo $centerlon;?>,<?php echo $centerlat;?>).transform(EPSG4326,EPSG900913),<?php  echo $zoom;?>);

		$("#centerlon").val("<?php echo $centerlon;?>");
		$("#centerlat").val("<?php echo $centerlat;?>");

		mapa.events.register("moveend", mapa , function(e){
			var pos = mapa.getCenter();
			var a = pos.transform(mapa.getProjectionObject(),mapa.displayProjection);
			var centerlon = a.lon;
			var centerlat = a.lat;
			$("#centerlon").val(centerlon);
			$("#centerlat").val(centerlat);
		});

		wfs.events.on(
			{
				'featureselected': function(feature) {
					document.getElementById('counter').innerHTML = this.selectedFeatures.length;
				},
				'featureunselected': function(feature) {
					document.getElementById('counter').innerHTML = this.selectedFeatures.length;
				}
			}
		);
	}

	// Selecci de casos
	
	function onFeatureInsert(feature) {
		if(document.getElementById('clickout').checked) {			
			<?php if ($malaltia['nom'] == "legionela" || $malaltia['nom'] == "legionella"): ?>
				selectedFeature = feature;
				var fid = selectedFeature.id;			
				var Numreg = selectedFeature.attributes['num_reg'];
				var Adreca = selectedFeature.attributes['adr'];
				var numero = selectedFeature.attributes['adrn'];
				var barri = selectedFeature.attributes['barri'];
				var districte = selectedFeature.attributes['dm'];
				var data = selectedFeature.attributes['inici_simp'];
				var edat = selectedFeature.attributes['edat'];
				var sexe = selectedFeature.attributes['sexe'];
				var cp = selectedFeature.attributes['cp'];
				var dat_notif = selectedFeature.attributes['dat_notif'];
				var cesporad = selectedFeature.attributes['cesporad'];
				var codbrot = selectedFeature.attributes['codbrot'];
				var comsanamb = selectedFeature.attributes['comsanamb'];
				var clascas = selectedFeature.attributes['clascas'];
				var cresid = selectedFeature.attributes['cresid'];
				var tipcas = selectedFeature.attributes['tipcas'];
				htmlForm = "<div style='font-size:.8em'>" +
					"<H2><b>DADES DEL PACIENT</b></h2>\n" +
					"N&Uacute;MERO REGISTRE: <input type='text' name='nombre' id='nombre' value='" + Numreg + "' size=20 style='background-color: #E6E6FA;color: #7F7F7F; font-style: italic;' > <br/>\n" +
					"ADRE&Ccedil;A: <input type='text' name='hoyos' id='hoyos' value='" + Adreca + "' size=20 style='background-color: #E6E6FA; color:#7F7F7F; font-style: italic;' > <br/>\n" +
					"N&Uacute;MERO: <input type='text' name='numero' id='numero' value='" + numero + "' size=20 style='background-color: #E6E6FA; color:#7F7F7F; font-style: italic;' > <br/>\n" +
					"BARRI: <input type='text' name='municipio' id='municipio' value='" + barri +"' size=5 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n" +
					"INICI S&Iacute;MPTOMES: <input type='text' name='codive' id='codive' value='" + data +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"DISTRICTE: <input type='text' name='dm' id='dm' value='" + districte +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"EDAT: <input type='text' name='dm' id='dm' value='" + edat +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"SEXE: <input type='text' name='dm' id='dm' value='" + sexe +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"CODI POSTAL: <input type='text' name='dm' id='dm' value='" + cp +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"CESPORAD: <input type='text' name='dm' id='dm' value='" + cesporad +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"CODBROD: <input type='text' name='dm' id='dm' value='" + codbrot +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"COMSANAMB: <input type='text' name='dm' id='dm' value='" + comsanamb +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"CLASCAS: <input type='text' name='dm' id='dm' value='" + clascas +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"CRESID: <input type='text' name='dm' id='dm' value='" + cresid +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"TIPCAS: <input type='text' name='dm' id='dm' value='" + tipcas +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n";
			<?php elseif($malaltia['nom'] == "tuberculosi"): ?>
				selectedFeature = feature;
				var fid = selectedFeature.id;			
				var Numreg = selectedFeature.attributes['num_reg'];
				var data_naix = selectedFeature.attributes['data_naix'];
				var sexe = selectedFeature.attributes['sexe'];
				var Adreca = selectedFeature.attributes['adr'];
				var numero = selectedFeature.attributes['adrn'];
				var pais = selectedFeature.attributes['pais'];
				var districte = selectedFeature.attributes['dm'];
				var barri = selectedFeature.attributes['barri'];				
				var abs = selectedFeature.attributes['abs'];
				var municipi = selectedFeature.attributes['municipi'];
				var dat_notif = selectedFeature.attributes['dat_notif'];
				var conclufin = selectedFeature.attributes['conclufin'];				
				htmlForm = "<div style='font-size:.8em'>" +
					"<H2><b>DADES DEL PACIENT</b></h2>\n" +
					"N&Uacute;MERO REGISTRE: <input type='text' name='nombre' id='nombre' value='" + Numreg + "' size=20 style='background-color: #E6E6FA;color: #7F7F7F; font-style: italic;' > <br/>\n" +
					"DATA NAIXEMENT: <input type='text' name='codive' id='codive' value='" + data_naix +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"SEXE: <input type='text' name='dm' id='dm' value='" + sexe +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"ADRE&Ccedil;A: <input type='text' name='hoyos' id='hoyos' value='" + Adreca + "' size=20 style='background-color: #E6E6FA; color:#7F7F7F; font-style: italic;' > <br/>\n" +
					"N&Uacute;MERO: <input type='text' name='numero' id='numero' value='" + numero + "' size=20 style='background-color: #E6E6FA; color:#7F7F7F; font-style: italic;' > <br/>\n" +
					"PA&Iacute;S: <input type='text' name='dm' id='dm' value='" + pais +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"DISTRICTE: <input type='text' name='dm' id='dm' value='" + districte +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"BARRI: <input type='text' name='municipio' id='municipio' value='" + barri +"' size=5 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n" +
					"ABS: <input type='text' name='dm' id='dm' value='" + abs +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"MUNICIPI: <input type='text' name='dm' id='dm' value='" + municipi +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+
					"DATA NOTIFICACI&Oacute;: <input type='text' name='codive' id='codive' value='" + dat_notif +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n"+					
					"CONCLUFIN: <input type='text' name='dm' id='dm' value='" + conclufin +"' size=15 style='background-color:#E6E6FA; color: #7F7F7F; font-style: italic;' > <br/>\n";
			<?php endif; ?>			
			popup = new OpenLayers.Popup.FramedCloud("info",
			feature.geometry.getBounds().getCenterLonLat(),
			null,
			htmlForm,
			null,
			true,
			onPopupClose);
			feature.popup = popup;
			mapa.addPopup(popup);
		}
	}

	function onPopupClose(evt) {
		selectControl.unselect(selectedFeature);
	}

	function onFeatureUnselect(feature) {
		if(feature.popup) {
			mapa.removePopup(feature.popup);
			feature.popup.destroy();
			feature.popup = null;
		}
	}

	function update() {
		for(var i=wfs.selectedFeatures.length-1; i>=0; --i) {
			feature = wfs.selectedFeatures[i];
			selectControl.unselect(feature);
		}

		var clickout = document.getElementById("clickout").checked;
		if(clickout != selectControl.clickout) {
			selectControl.clickout = clickout;
		}

		var box = document.getElementById("box").checked;
		if(box != selectControl.box) {
			selectControl.box = box;
			if(selectControl.active) {
				selectControl.deactivate();
				selectControl.activate();
			}
		}
	}

	function centercluster() {
		<?php
		if (empty($coordx)) {
			$coordx = 0;
		}
		if (empty($coordy)) {
			$coordy = 0;
		}
		?>
		mapa.setCenter(new OpenLayers.LonLat(<?php echo $coordx;?>,<?php echo $coordy;?>).transform(EPSG4326,EPSG900913),12);
	}

	</script>

</head>

<body onload="repinta()">	
	<table width="100%" cellspacing="0">
		<tr>
			<td width="7%">
			<div id="Controls">
			<table border="1" cellspacing="7" width="100%">
				<tr>			
					<td align="center">
					<img src="img/ASPBLOGO1.jpg"/>
					</td>			 
				</tr>
					<td align="center">
					<font style="text-transform: uppercase;"><b><?php echo $malaltia['nom'];?></b><br></font>
					<div id="malaltia" align="left">
					   <ul>					      
					      <?php
					      $canviMalaltia = "";
					      if($malaltia['nom'] == "legionela" || $malaltia['nom'] == "legionella") {
					      	$canviMalaltia = "tuberculosi";
					      }
					      if($malaltia['nom'] == "tuberculosi") {
					      	$canviMalaltia = "legionela";
					      }
					      ?>
					      <li><a href="aspbwfs1.php?malaltia=<?php echo $canviMalaltia;?>">Canvi a <?php echo $canviMalaltia;?></a></li>			      
					   </ul>
					</div>
					</td>				
				</tr>
				<?php if ($malaltia['nom'] == "legionela" || $malaltia['nom'] == "legionella"): ?>
				<!-- Opcions en cas de tractament de legionella -->						
					<tr>
						<td align="center">
						<?php
						$host = 'localhost';
						$user = 'opengeo';
						$db = 'geoserver';
						$pass = 'opengeo';
						
						if ($inici_date == "19000101" and $final_date == "30001231" and $barriupp == "1000" and $districteupp == "1000") {
							$adreca = null;
						} else {
							$connection = pg_connect("host=$host dbname=$db user=$user password=$pass") or die("<BR>ERROR accedint a la BD!<BR>");
							if ($connection) {
								$resultat1 = pg_query("SELECT st_x(geolocalitzacio),st_y(geolocalitzacio),num_reg FROM aspb.casoslegionela WHERE inici_simp >= $inici_date and inici_simp <= $final_date and barri >= $barrilow and barri <= $barriupp and dm >= $districtelow and dm <= $districteupp");
								while ($row = pg_fetch_row($resultat1)) {
									$resultat2 = pg_query("SELECT st_x(geolocalitzacio),st_y(geolocalitzacio),adr,adrn FROM aspb.casoslegionela WHERE ST_Distance_Sphere(geolocalitzacio,ST_SetSRID(ST_MakePoint($row[0],$row[1]),4326)) < $distancia and num_reg <> $row[2] and inici_simp >= $inici_date and inici_simp <= $final_date and barri >= $barrilow and barri <= $barriupp and dm >= $districtelow and dm <= $districteupp");
									$num = pg_numrows($resultat2);
									if ($num > $nummax) {
										$nummax = $num;
										$row2 = pg_fetch_row($resultat2);
										$adreca = trim($row2[2]) ." ". trim($row2[3]);
										$coordx = $row2[0];
										$coordy = $row2[1];
									}
								}
							}
						}
						
						if(!empty($adreca)) {
							echo "<div><b>ALARMA LEGIONEL&middot;LA</b><br><font color='red'>S'ha detectat un possible cl&uacute;ster al C\ $adreca amb $nummax casos confrontants</font><br><input type=\"button\" value=\"ANAR AL PUNT\" onclick=\"centercluster();\"/></div>";
						} else {
							echo "<div><b>ALARMES</b><br>No hi ha cap alarma<br></div>";
						}
						?>
						<hr>
						<form action="aspbwfs1.php?malaltia=<?php echo $malaltia['nom'];?>" method="POST" id="Formu">
							<label for="inici">Dist&agrave;ncia de cl&uacute;ster:</label><INPUT TYPE="text" size="3" name="distancia" id="distancia" value="<?php echo $distancia;?>"> m						
						</td>
					</tr>
					<tr>
						<td align="center">
						<b>CRITERIS DE CERCA</b><br>
						<div align="left">
							<script type="text/javascript" id="jscal1x">
								var cal1x = new CalendarPopup();
							</script>
							
							<label for="barri">Barri:</label>
							<select name="barri" id="barri">
								<option>
									<?php
									if(!$connection) {
										$connection = pg_connect("host=$host dbname=$db user=$user password=$pass") or die("<BR>ERROR accedint a la BD!<BR>");
									}
									if ($connection) {										
										$resultat3 = pg_query("SELECT codi_barri,nom_barri FROM aspb.gbarris");										
										while ($row = pg_fetch_row($resultat3)) {										
											if ($barri==$row[0]) {
												echo "<option value='$row[0]' selected>$row[1]";
											} else {
												echo "<option value='$row[0]'>$row[1]";
											}											
										}																																						
									}
									?>
							</select>
							
							<label for="districte">Districte:</label>
							<select name="districte" id="districte">
								<option>
									<?php
									if(!$connection) {
										$connection = pg_connect("host=$host dbname=$db user=$user password=$pass") or die("<BR>ERROR accedint a la BD!<BR>");
									}
									if ($connection) {
										$resultat4 = pg_query("SELECT codi_dte,nom_dte FROM aspb.dte");
										while ($row = pg_fetch_row($resultat4)) {
											if ($districte==$row[0]) {
												echo "<option value='$row[0]' selected>$row[1]";
											} else {
												echo "<option value='$row[0]'>$row[1]";
											}
										}
									}
									pg_close($connection);
									?>
							</select><br>
							
							<label for="sexe">Sexe: </label><br>
							<select name="sexe" id="sexe">								
								<option value="0"></option>
								<?php
								if ($sexe=="1") {
									echo "<option value=1 selected>Home</option>";
								} else {
									echo "<option value=1>Home</option>";
								}
								if ($sexe=="2") {
									echo "<option value=2 selected>Dona</option>";
								} else {
									echo "<option value=2>Dona</option>";
								}
								?>								
							</select><br>						
							
							<label for="inici">Inici:</label>
							<input type="text" size="10" name="inici" id="inici" value="<?php echo $inici;?>">
							<a href="#" onclick="cal1x.select(document.forms[0].inici,'anchor1x','dd/MM/yyyy'); return false;" title="data inici" name="anchor1x" id="anchor1x">Inici </a><br>
							<label for="final">Final:</label><input TYPE="text" size="10" name="final" id="final" value="<?php echo $final;?>">
							<a href="#" onclick="cal1x.select(document.forms[0].final,'anchor1x','dd/MM/yyyy'); return false;" title="data final" name="anchor1x" id="anchor1x">Final </a>
							<br>							
							<center><input type="submit" value="APLICA FILTRES"/></center>
							</td>
							<input type="hidden" name="centerlon" id="centerlon">
							<input type="hidden" name="centerlat" id="centerlat">
							<input type="hidden" name="zoom" id="zoom">
							</form></td>
						</div>
						</td>
					</tr>
				<?php elseif($malaltia['nom'] == "tuberculosi"): ?>
				<!-- Opcions en cas de tractament de tuberculosi -->
					<tr>						
						<td align="center">
						<b>CRITERIS DE CERCA</b><br>
						<div align="left">
							<script type="text/javascript" ID="jscal1x">
								var cal1x = new CalendarPopup();
							</script>
							<form action="aspbwfs1.php?malaltia=<?php echo $malaltia['nom'];?>" method="POST" id="Formu">
														
							<label for="barri">Barri:</label>
							<select name="barri" id="barri">
								<option>
									<?php
									$host = 'localhost';
									$user = 'opengeo';
									$db = 'geoserver';
									$pass = 'opengeo';
									
									if(!$connection) {
										$connection = pg_connect("host=$host dbname=$db user=$user password=$pass") or die("<BR>ERROR accedint a la BD!<BR>");
									}
									if ($connection) {										
										$resultat3 = pg_query("SELECT codi_barri,nom_barri FROM aspb.gbarris");								
										while ($row = pg_fetch_row($resultat3)) {										
											if ($barri==$row[0]) {
												echo "<option value='$row[0]' selected>$row[1]";
											} else {
												echo "<option value='$row[0]'>$row[1]";
											}											
										}																																						
									}
									?>
							</select>
							
							<label for="districte">Districte:</label>
							<b><select name="districte" id="districte">
								<option>
									<?php
									if(!$connection) {
										$connection = pg_connect("host=$host dbname=$db user=$user password=$pass") or die("<BR>ERROR accedint a la BD!<BR>");
									}
									if ($connection) {
										$resultat4 = pg_query("SELECT codi_dte,nom_dte FROM aspb.dte");
										while ($row = pg_fetch_row($resultat4)) {
											if ($districte==$row[0]) {
												echo "<option value='$row[0]' selected>$row[1]";
											} else {
												echo "<option value='$row[0]'>$row[1]";
											}
										}
									}
									pg_close($connection);
									?>
							</select><br>
							
							<label for="sexe">Sexe: </label><br>
							<select name="sexe" id="sexe">								
								<option value="0"></option>
								<?php
								if ($sexe=="1") {
									echo "<option value=1 selected>Home</option>";
								} else {
									echo "<option value=1>Home</option>";
								}
								if ($sexe=="2") {
									echo "<option value=2 selected>Dona</option>";
								} else {
									echo "<option value=2>Dona</option>";
								}
								?>								
							</select><br><br>
															
							<label for="inici">Inici:</label>
							<input type="text" size="10" name="inici" id="inici" value="<?php echo $inici;?>">
							<a href="#" onclick="cal1x.select(document.forms[0].inici,'anchor1x','dd/MM/yyyy'); return false;" title="data inici" name="anchor1x" id="anchor1x">Inici </a><br>
							<label for="final">Final:</label><input TYPE="text" size="10" name="final" id="final" value="<?php echo $final;?>">
							<a href="#" onclick="cal1x.select(document.forms[0].final,'anchor1x','dd/MM/yyyy'); return false;" title="data final" name="anchor1x" id="anchor1x">Final </a>
							<br><br>							
							<center><input type="submit" value="APLICA FILTRES"/></center>
							</td>
							<input type="hidden" name="centerlon" id="centerlon">
							<input type="hidden" name="centerlat" id="centerlat">
							<input type="hidden" name="zoom" id="zoom">																					
							</form></td>
						</div>
						</td>
					</tr>
				<?php endif; ?>
				
				<tr>
					<td align="center">
					<b>SELECCI&Oacute;</b><br>
					<div align="left">
						<input id="box" type="radio" name="select" onchange="update()" checked/>
						<label for="box">Multiselecci&oacute;</label><br>
						<input id="clickout" type="radio" name="select" onchange="update()" />
						<label for="clickout">Selecci&oacute; simple</label>
					</div>
					<hr>
					<span id="counter">0</span> Casos seleccionats
					</td>
				</tr>
				<tr>
					<td align="center">
					<b>GESTI&Oacute; DE DADES</b>
					<a href="consultabd.php?malaltia=<?php echo $malaltia['nom'];?>"><input type="button" name="consulta" value="CONSULTA DADES"></a>
					<!-- <a href="consultabd.php"> <input type="button" name="consulta" value="CONSULTA DADES"> </a> -->					
					</td>
				</tr>				
				<tr>
					<td align="center">
					<img src="img/logo_uoc.jpg"/>
					</td>
				</tr>			
			</table>
			</div>
			</td>
			<td>
			<div id="divMapa">
			</div>
			</td>
		</tr>
	</table>
	
	<div id="carregafitxers">
		<table width="100%" cellspacing="0">
			<tr>
				<td align="center">
				<b>C&Agrave;RREGA DE FITXERS DBF</b><br>
				<form action="carrega.php" METHOD="POST" target="popupwindow" onsubmit="popupwindow = window.open('about:blank','popupwindow','scrollbars=yes','width=350,height=100');"id="FCarrega">
					<input type="hidden" name="malaltia" value="<?php echo $malaltia['nom'];?>">
					<input type="file" name="fitxer" id="fitxer"/>
					<input TYPE="submit" value="CARREGA FITXER">
				</form>
				</td>
			</tr>
		</table>
	</div>
</body>
<script>
	function centercluster() {
		<?php
		if (empty($coordx)) {
			$coordx = 0;
		}
		if (empty($coordy)) {
			$coordy = 0;
		}
		?>

		mapa.setCenter(new OpenLayers.LonLat(<?php echo $coordx;?>,<?php echo $coordy;?>).transform(EPSG4326,EPSG900913),6);
	}
</script>
</html>